package cloud

import (
	"context"

	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/svc"
	"gitlink.org.cn/JointCloud/pcm-coordinator/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type ListCloudClusterLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewListCloudClusterLogic(ctx context.Context, svcCtx *svc.ServiceContext) *ListCloudClusterLogic {
	return &ListCloudClusterLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *ListCloudClusterLogic) ListCloudCluster(req *types.ListClusterReq) (resp *types.CloudListResp, err error) {
	// todo: add your logic here and delete this line

	return
}
